Subject: Re: Cross toolchain for ppc405 (virtex-4)

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 29 May 2008 02:40:23 -0400

I am not sure if this answers your question but to build a 2.6 Linux
kernel using the buildroot uclibc ppc cross compiler you would issue the
following make command

make ARCH=ppc CROSS_COMPILE=powerpc-linux-uclibc-

If you were using the crosstools compiler rather than buildroot, the
CROSS_COMPILE value would change.
For older version of GCC it might require a full path to the crosscompiler.

If you are building a BSP in the powerpc tree use ARCH=powerpc

I am fairly certain that when you are building a Linux kernel it is
irrelevant whether you use a glibc or uclibc or ... compiler.
The kernel is not going to link against any standard C library, those
library functions the kernel uses must be coded in the kernel.

However, when you are cross compiling applications for your target it is
a good idea to stick to the same standard C library and associated cross
compiler.

rodolfo wrote:
> I'm sorry.
>
> I want build kernel linux 2.6 for ml403. 
> Did I have to change the predefined compiler flags for ppc_4xx? The default
> value is -mcpu=403.
>
> On Wed, 28 May 2008 13:32:51 -0600, "John Linn" <[email-masked]>
> wrote:
>   
>> I don't know, I'm not familiar with what you are doing and it's not clear
>> from the message.
>>  
>> -- John
>>     
-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein